Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.expression.operator.math
Class MathOperator

    java.lang.Object
      com.bea.p13n.expression.internal.ComplexExpressionImpl
          com.bea.p13n.expression.operator.Operator
              com.bea.p13n.expression.operator.math.MathOperator

All Implemented Interfaces
  Expression, com.bea.p13n.expression.ExpressionEvents, Serializable, Cloneable

Direct Known Subclasses:
  MathAbs, MathAcos, MathAdd, MathAsin, MathAtan, MathAtan2, MathCeil, MathCos, MathDivide, MathExp, MathFloor, MathIeeeRemainder, MathLog, MathMax, MathMin, MathMultiply, MathPow, MathRandom, MathRint, MathRound, MathSin, MathSqrt, MathSubtract, MathTan, MathToDegrees, MathToRadians

    public abstract class MathOperator

extends Operator

Base class for all math operators.

See Also
  Serialized Form

Field Summary
`protected static Class[]` | `BINARY_PARAMETER_SIGNATURE`
`protected static Class[]` | `UNARY_PARAMETER_SIGNATURE`

Fields inherited from interface com.bea.p13n.expression.ExpressionEvents
`EVENT_ADD_SUBEXPRESSION, EVENT_CLEAR_CACHE, EVENT_INTERNAL_MAX, EVENT_REMOVE_SUBEXPRESSION, EVENT_SET_CACHE_ENABLED, EVENT_SET_CACHED_VALUE, EVENT_SET_PARENT, EVENT_SET_SOURCE, EVENT_SET_SUBEXPRESSION, EVENT_SET_USER_DATA`

Constructor Summary
`protected` | `MathOperator()` Default constructor.
`protected` | `MathOperator(Object lhs)` Constructor for single argument operators.
`protected` | `MathOperator(Object lhs, Object rhs)` Constructor for two argument operators.

Method Summary

Methods inherited from class com.bea.p13n.expression.operator.Operator
`leftHandSide, operand, rightHandSide`

Methods inherited from class com.bea.p13n.expression.internal.ComplexExpressionImpl
`addListener, addSubExpression, clearCache, clone, createProxyExpression, equals, getCachedValue, getParent, getSource, getSubExpression, getSubExpressionCount, getUserData, hashCode, isCached, isCacheEnabled, isEqualitySubExpression, notifyListeners, removeAllSubExpressions, removeListener, removeSubExpression, removeSubExpression, setCachedValue, setCacheEnabled, setParent, setSource, setSubExpression, setUserData, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.expression.Expression
`getParameterSignature`

Field Detail

### BINARY_PARAMETER_SIGNATURE

    protected static final Class[] BINARY_PARAMETER_SIGNATURE

### UNARY_PARAMETER_SIGNATURE

    protected static final Class[] UNARY_PARAMETER_SIGNATURE

Constructor Detail

### MathOperator

    protected MathOperator()

  Default constructor.

### MathOperator

    protected MathOperator(Object lhs)

  Constructor for single argument operators.

  Parameters
    `lhs` - The single LHS argument.

### MathOperator

    protected MathOperator(Object lhs,
                           Object rhs)

  Constructor for two argument operators.

  Parameters
    `lhs` - The LHS argument.
    `rhs` - The RHS argument.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.